﻿@using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    Layout = null;
}
<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "libelle:Client:string:18%", "initial:Initial:number:10%", "vente:Vente:number:10%", "versement:Versement / Consigne:number:15%", "retour_emballage:Retour Emballage:number:13%", "encaissement:Règlement:number:10%",  "regularisation:Regulation:number:10%", "solde:Solde:number:11.3%:sum"];
</script>

<input id="LoardUrl" value="/Etat/ajaxEtatSoldeClient" type="hidden" />
<input id="histoUrl" value="/Historique/IndexHistoriqueSoldeClient/" type="hidden" />
@*<input id="telechargerUrl" value="/Base/ExportEtatCompteClient/0" type="hidden" />*@
<script src="~/Scripts/IndexJS.js"></script>
<div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Sélectionnez un seul enrégistrement !
        </div>
    </div>
</div>
<div id="confirm">
    <div>
        Confirmation
    </div>
    <div class="cont">
        <br />
        <div>
            Voulez-vous confirmer cette action ?
        </div>
        <div class="boutons">
            <br />
            <button title="OK" type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i>OK</button>
            <button title="Annuler" type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i>Annuler</button>
        </div>
    </div>
</div>

<span style="font-weight: bold"></span>
<div class="boutons text-left">
    <table>
        <tr>          
            <td>@HTML_OUF.DropDownList("Type", 0, TempData["Type"] as SelectList, "160") </td>
            <td>@Html.Partial("Filtre")</td>
            <td>
                @if (cmd.Contains("Historique_Etat_Solde_Client"))
                {
                    <button id='histo' class='btn btn-default oufbutton  RedirigerAvecid' title='Historique' value='Historique'><i class='ouf-history'></i>Historique</button>
                }
            </td>
            <td>
                @if ((cmd.Contains("Export_Etat_Solde_Client")))// 
                {
                    <button title="Telecharger" type="button" id="telecharger" class="btn btn-default oufbutton"><i class="ouf-pdf"></i>Exporter</button>
                }
            </td>
        </tr>
    </table>

</div>
<div id="grades"></div>
<div id='Menu'>
    <ul>
        @if (cmd.Contains("Historique_Etat_Solde_Client"))
        {
            <li><i class='ouf-history'></i>Historique</li>
        }
    </ul>
</div>

<script>
    
     $("#grades").on('bindingcomplete', function (event) {       
         if ($("#C_Type").val() == 0) {     
                //$('#grades').jqxGrid('hidecolumn', 'retour_emballage');	
                //$('#grades').jqxGrid('showcolumn', 'regularisation');
                //$('#grades').jqxGrid('setcolumnproperty', 'regularisation', 'width', '15.4%');
             } else { 
            
                //$('#grades').jqxGrid('showcolumn', 'retour_emballage');
                //$('#grades').jqxGrid('hidecolumn', 'regularisation'); 
                //$('#grades').jqxGrid('setcolumnproperty', 'retour_emballage', 'width', '15.5%');
            }
        $("#loaderSpace,#loader").hide();
       
    });

    $("#C_Type").off("change");
    $("#C_Type").on('change', function (event) {
        var urlRecherche = "/Base/ChangerElment/" + $("#Type").val();
        Rechercher(urlRecherche);
        return false;
    });

    Rechercher = function (urlRecherche) {
        $("#loaderSpace,#loader").show();
        $.ajax({
            url: urlRecherche,
            type: 'GET',
            dataType: 'json'
        })
        .success(function (response) {
            //var grids = $("#grades")
            $("#grades").jqxGrid('updatebounddata', 'cells');
            $("#grades").jqxGrid('clearselection');
                                 
            $("#loaderSpace,#loader").hide();
        })
        .error(function () {
            alert('echeck');
            $("#loaderSpace,#loader").hide();
        });
    };

    $("#telecharger").on('click', function (event) {
        window.location = "/Base/ExporterEtatSoldeClient/"+$("#C_Type").val();
    });
</script>
